Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class StricterArgumentCompleter

- org.codehaus.groovy.tools.shell.completion.StricterArgumentCompleter

- Similar to a strict jline ArgumentCompleter, this completer completes the n+1th argument only if the 1st to nth argument have matches. However, it only does so if the 1st to nth argument match *exactly*, not just partially. This prevents interaction of completers between e.g. ":s", ":set" ":show" on same ":s foo" See https://github.com/jline/jline2/pull/123

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StricterArgumentCompleter (List<Completer> completers)` Create a new completer with the default { @link jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter } .

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `complete(String buffer, int cursor, List<CharSequence> candidates)`

- - ### Constructor Detail

    - #### StricterArgumentCompleter(List<Completer> completers)

      Create a new completer with the default {

      link:
        jline.console.completer.ArgumentCompleter.WhitespaceArgumentDelimiter
      Parameters:
        `completers` - The embedded completers

  - ### Method Detail

    - #### int complete(String buffer, int cursor, List<CharSequence> candidates)